@charset "utf-8";
/* CSS Document */

.sec-por{          /* portada */
	width:100%; height: 100vh; /*min-height: 200px;*/ overflow: hidden; z-index: 300; background-color: rgb(0,0,0);
	}

.btns-img{
	position:absolute; bottom: 30px; left: calc(50% - 15px); width: 70px; font-size: 40px; z-index: 500; 
	display: -webkit-flex;
	display: -ms-flex;
	display: flex;
	
	-webkit-flex-wrap: wrap;
	-ms-flex-wrap: wrap;
	flex-wrap: wrap;
	
	-webkit-justify-content: space-between;
	-ms-justify-content: space-between;
	justify-content: space-between;
	
	-webkit-flex-direction: row;
	-ms-flex-direction: row;
	flex-direction: row;
}
.btn-img{
	position: relative; background-color: rgb(255,255,255); width: 5px; height: 5px; z-index: 600; cursor:pointer;
	
	-webkit-border-radius:5px;
	-moz-border-radius:5px;
	border-radius:5px; 
}

.countdown-portada {
    position:absolute; bottom:50px; right:50px; z-index: 501; /*width: auto;*/ 
	
	display: -webkit-flex;
	display: -ms-flex;
	display: flex;
	
	-webkit-flex-wrap: nowrap;
	-ms-flex-wrap: nowrap;
	flex-wrap: nowrap;
	
	-webkit-justify-content: center;
	-ms-justify-content: center;
	justify-content: center;
	
	-webkit-flex-direction: column;
	-ms-flex-direction: column;
	flex-direction: column;

	-moz-box-align: flex-start;
    -webkit-align-items: flex-start;
    -ms-flex-align: flex-start;
	
	gap: 10px;

}
.countdown-portada h1{
    font-size: 30px; color:white; width: auto; letter-spacing:3px; 
}
.countdown-portada-container {
	position:relative; /*width: auto;*/
	
	display: -webkit-flex;
	display: -ms-flex;
	display: flex;
	
	-webkit-flex-wrap: wrap;
	-ms-flex-wrap: wrap;
	flex-wrap: wrap;
	
	-webkit-justify-content: flex-start;
	-ms-justify-content: flex-start;
	justify-content: flex-start;
	
	-webkit-flex-direction: row;
	-ms-flex-direction: row;
	flex-direction: row;

	-moz-box-align: flex-start;
    -webkit-align-items: flex-start;
    -ms-flex-align: flex-start;
	
	gap: 10px;
}

.count-box {
    background: rgba(255, 255, 255, 0.15);
    padding: 20px;
    border-radius: 5px;
    text-align: center;
    backdrop-filter: blur(6px);
    box-shadow: 0 0 15px rgba(0,0,0,0.2);
    animation: fadeIn 1s ease;
}

.count-box span {
    font-size: 36px;
    font-weight: bold;
    display: block;
    color: #fff;
}

.count-box label {
    font-size: 16px;
    color: #eee;
    /*text-transform: uppercase;*/
    /*letter-spacing: 1px;*/
}

@keyframes fadeIn {
    from { opacity: 0; transform: translateY(10px); }
    to { opacity: 1; transform: translateY(0); }
}


/*--------------- Portada ---------------*/
.por-100 {
  position: relative;
  width: 100%;
  height: 100%;
  overflow: hidden;
  z-index: 301;
}

.por-pnls {
  position: relative;
  width: 100%;
  height: 100%;
  overflow: hidden;
  z-index: 302;
}

.por-pnl {
	background: linear-gradient(45deg, rgba(223,11,63, 1), rgba(254,114,77, 1));
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 0;
  pointer-events: none;
  transform: scale(1.2);
  transition: opacity 0.5s ease, transform 0.5s ease;
  z-index: 303;
  text-align: center;
	
	display: -webkit-flex;
	display: -ms-flex;
	display: flex;
	
	-webkit-justify-content: center;
	-ms-justify-content: center;
	justify-content: center;
	
	-webkit-flex-direction: column;
	-ms-flex-direction: column;
	flex-direction: column;

	-moz-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
}

.por-pnl.active {
  opacity: 1;
  pointer-events: auto;
  animation: zoomFadeIn 2s ease-out forwards; /* ← más lento y con fade */

}

@keyframes zoomFadeIn {
  0% {
    transform: scale(1.3);
    opacity: 1; /* visible */
    filter: saturate(0) brightness(1); /* blanco */
  }
  100% {
    transform: scale(1);
    opacity: 1;
    filter: none; /* normal */
  }
}

/*@keyframes zoomFadeIn {
  0% {
    transform: scale(1.2);
    opacity: 0;
  }
  100% {
    transform: scale(1);
    opacity: 1;
  }
}*/

.por-img{
	width: 100%; min-height: 100%;
}
.por-img::after {
  content: "";
  position: absolute;
  inset: 0;
	background-color: white;
  background: radial-gradient(
    ellipse,
    rgba(254,114,77, 0) 0%, 
	rgba(254,114,77, 0.3) 50%,
    rgba(223,44,67, 1) 100%  
  );
	/*background: radial-gradient(
    ellipse,
    rgba(254,114,77, 0) 0%, 
	rgba(254,114,77, 0.3) 50%,
    rgba(254,114,77, 0.6) 70%,
    rgba(223,11,63, 1) 100%  
  );*/
  pointer-events: none;
}
/*
.por-img::after {
  content: "";
  position: absolute;
  inset: 0;
  background: radial-gradient(
    circle,
    rgba(239,164,217, 0.2) 0%, 
    rgba(205,57,134, 0.9) 50%,
    rgba(148,0,193, 1) 100% 
  );
  pointer-events: none;
}
*/

.por-img img{
	display: block;
	width: 100%; min-height: 100%; z-index: 5001; 
	/*webkit-filter: brightness(40%) saturate(120%) contrast(120%);
    filter: brightness(40%) saturate(120%);*/
	
	transition: transform 10s ease;
	transform: scale(1.3);
    }
.por-txt{
	position: absolute; bottom: 0%; left: 5%; height: 100%; width: 650px; max-width: 90%; min-height: 300px; z-index: 5002;
	
	display: -webkit-flex;
	display: -ms-flex;
	display: flex;
	
	-webkit-flex-wrap: wrap;
	-ms-flex-wrap: wrap;
	flex-wrap: wrap;
	
	-webkit-justify-content: center;
	-ms-justify-content: center;
	justify-content: center;
	
	-webkit-flex-direction: column;
	-ms-flex-direction: column;
	flex-direction: column;
	
	-moz-box-align: flex-start;
    -webkit-align-items: flex-start;
    -ms-flex-align: flex-start;
	
	/* Retardo en la animacion del texto */

}

/* Retardo en la animacion del texto */
/* Animación base */
@keyframes fadeInUp {
  0% {
    opacity: 0;
    transform: translateX(20px);
	  transform: scale(3);
  }
  100% {
    opacity: 1;
    transform: translateY(0);
	  transform: scale(1);
  }
}

/* Estado inicial */
.txt-ttl,
.txt-descrip,
.txt-btn {
  opacity: 0;
  transform: translateY(20px);
}

/* Activación escalonada solo cuando el panel está activo */
.por-pnl.active .txt-ttl {
  animation: fadeInUp 0.5s ease-out 1s forwards;
}

.por-pnl.active .txt-descrip {
  animation: fadeInUp 0.5s ease-out 2s forwards;
}

.por-pnl.active .txt-btn {
  animation: fadeInUp 0.5s ease-out 3s forwards;
}

.txt-ttl{
	font-size: 60px; color:rgb(255,255,255); /*letter-spacing: 5px;*/ text-align: left; font-weight: bold;
	text-shadow: 2px 2px rgba(0,0,0,0.2);
}
.txt-descrip{
	font-size: 80px; color: rgb(255,255,255); text-align: left; margin-bottom: 10px; font-weight: bold; line-height: 1em; text-shadow: 2px 2px rgba(0,0,0,0.2);
}
.txt-btn{
	 width: 300px; height: 60px; line-height: 60px; text-align: center; border:none; color: rgb(255,255,255); background: linear-gradient(45deg, rgba(223,11,63, 1), rgba(254,114,77, 1)); cursor: pointer; max-width: 100%; margin-top: 20px; font-weight: 500;
	
	-webkit-border-radius:5px;
	-moz-border-radius:5px;
	border-radius:5px;
	
	-webkit-transition: all 500ms ease;
    -moz-transition: all 500ms ease;
    -ms-transition: all 500ms ease;
    -o-transition: all 500ms ease;
    transition: all 500ms ease;
}
.txt-btn:hover{
	/*color: rgb(254,114,77); background-color: rgb(255,255,255);*/
	-webkit-box-shadow: 0px 0px 30px 0px rgba(0,0,0,0.3);
	-moz-box-shadow: 0px 0px 30px 0px rgba(0,0,0,0.3);
	box-shadow: 0px 0px 30px 0px rgba(0,0,0,0.3);
}



@media all and (max-width: 1000px) {
	.por-img{
		height: 100%; width: auto;
		
	}

	.por-img img{
		height: 100%; width: auto;
		object-fit: contain
	}
	
	.txt-ttl{
		font-size: 15px;
	}
	.txt-descrip{
		font-size: 35px; 
	}
	
	.countdown-portada {
    	position:absolute; bottom:60px; left:0px; width: 100%; z-index: 501; /*width: auto;*/ 
	
		display: -webkit-flex;
		display: -ms-flex;
		display: flex;

		-webkit-flex-wrap: nowrap;
		-ms-flex-wrap: nowrap;
		flex-wrap: nowrap;

		-webkit-justify-content: center;
		-ms-justify-content: center;
		justify-content: center;

		-webkit-flex-direction: column;
		-ms-flex-direction: column;
		flex-direction: column;

		-moz-box-align: center;
		-webkit-align-items: center;
		-ms-flex-align: center;

		gap: 10px;

	}
	.count-box {
		padding: 10px;
	}
	.count-box span {
    	font-size: 24px;
	}
	
}